%define		tpl	sidebar
Summary:	Sidebar navigation with DokuWiki
Summary(pl.UTF-8):	Nawigacja po sidebarze przy użyciu DokuWiki
Name:		dokuwiki-tpl-sidebar
Version:	20111110
Release:	1
License:	GPL
Group:		Applications/WWW
Source0:	http://dokuwiki.jalakai.co.uk/template-sidebar-rc2009-01-26.zip
# Source0-md5:	7a36b63e86d00f72eecae2ba80334fdd
Patch0:		backlink-rightside.patch
Patch1:		more-buttons.patch
Patch2:		acl-check.patch
Patch3:		%{name}-20101007.patch
Patch4:		dw-20101007.patch
Patch5:		%{name}-20110525.patch
Patch6:		%{name}-20111110.patch
URL:		http://www.dokuwiki.org/template:sidebar
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires:	dokuwiki >= 20090126
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		tpldir		%{dokudir}/lib/tpl/%{tpl}

%description
Better navigation with DokuWiki. Features a navigation sidebar, a
tagline, highlighting the current page in the sidebar (unique
feature!), using the page heading as link text automatically. Retains
the default DokuWiki look and feel as much as possible.

%description -l pl.UTF-8
Lepsza nawigacja przy użyciu DokuWiki. Opiera się na sidebarze
nawigacyjnym, pasku podświetlającym aktualną stronę na sidebarze (co
jest unikalną cechą!), przy automatycznym użyciu nagłówka strony jako
tekstu odnośnika. Zachowuje domyślny wygląd i zachowanie DokuWiki na
ile to możliwe.

%prep
%setup -q -n %{tpl}
%patch3 -p4
%patch4 -p1
%patch5 -p6
%patch6 -p4
%patch0 -p1
%patch1 -p1
%patch2 -p1

cat > INSTALL <<'EOF'
To activate this template add the following to your conf/local.php file:

$conf['template']    = '%{tpl}';

If you want a tagline, you can define it as follows:
$conf['tagline']    = 'Your own tagline';
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{tpldir}
cp -a . $RPM_BUILD_ROOT%{tpldir}
rm -f $RPM_BUILD_ROOT%{tpldir}/INSTALL

while read file; do
	ln -sf ../../default/$file $RPM_BUILD_ROOT%{tpldir}/$file
done <<EOF
images/UWEB.png
images/apple-touch-icon.png
images/button-cc.gif
images/button-rss.png
images/link_icon.gif
images/mail_icon.gif
images/resizecol.png
images/tocdot2.gif
images/windows.gif
images/button-pld.png
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files
%defattr(644,root,root,755)
%doc INSTALL
%{tpldir}
%changelog
* Wed Nov 23 2011 Elan Ruusamäe <glen@pld-linux.org> 0055f47
- add images/button-pld.png link

* Wed Nov 23 2011 Elan Ruusamäe <glen@pld-linux.org> 0a49fca
- rediffed against dokuwiki rc2011-11-10

* Wed Nov 23 2011 Elan Ruusamäe <glen@pld-linux.org> d0a3765
- apply dw-20101007.patch

* Wed Nov 23 2011 Elan Ruusamäe <glen@pld-linux.org> 46a46e5
- remove duplicate chunks with dokuwiki-tpl-sidebar-20101007.patch

* Fri Jun 10 2011 Elan Ruusamäe <glen@pld-linux.org> bfbe8e4
- update to 20110525

* Tue Dec 14 2010 Elan Ruusamäe <glen@pld-linux.org> 97b4e08
- update dw patch against real 2010-11-07 release; rel 2

* Wed Nov 03 2010 Elan Ruusamäe <glen@pld-linux.org> cf3059b
- release 1

* Wed Nov 03 2010 Elan Ruusamäe <glen@pld-linux.org> de02507
- rediffed against default template from rc 20101007

* Wed Nov 03 2010 Elan Ruusamäe <glen@pld-linux.org> c69c2b6
- update to 20101007:

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> fd910ba
- BR: unzip

* Mon Mar 22 2010 Elan Ruusamäe <glen@pld-linux.org> b3a6ea3
- do not show sidebar if sidebar file is not accessible

* Tue Sep 01 2009 Elan Ruusamäe <glen@pld-linux.org> 9fa9a2a
- do just plugin_isdisabled() check to avoid include errors in logs

* Tue Sep 01 2009 Elan Ruusamäe <glen@pld-linux.org> 5214ec5
- add the new buttons to right side

* Sat Aug 29 2009 Elan Ruusamäe <glen@pld-linux.org> 403c46f
- pass revno in export

* Sat Aug 29 2009 Elan Ruusamäe <glen@pld-linux.org> 85f567d
- too much copy paste; spaces

* Sat Aug 29 2009 Elan Ruusamäe <glen@pld-linux.org> 381f50d
- add export pdf and export odt buttons; rel 2

* Wed Jun 17 2009 Elan Ruusamäe <glen@pld-linux.org> 5447f30
- put backlinks link back to right side of page

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> e08ea0b
- force css cache refresh after install

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> 5346549
- unify

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> c36d620
- force cache refresh after install

